org.red5.io.flv.meta

## Class MetaCue<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - org.red5.io.flv.meta.MetaCue<K,V>

Type Parameters:
  `K` - key type
  `V` - value type

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Object>, Map<String,Object>, IMeta, IMetaCue

    public class MetaCue<K,V>
    extends HashMap<String,Object>
    implements IMetaCue

Cue point is metadata marker used to control and accompany video playback with client-side application events. Each cue point have at least one attribute, timestamp. Timestamp specifies position of cue point in FLV file.

Cue points are usually used as event triggers down video flow or navigation points in a file. Cue points are of two types:

- Embedded into FLV or SWF
- External, or added on fly (e.g. with FLVPlayback component or ActionScript) on both server-side and client-side.

To add cue point trigger event listener at client-side in Flex/Flash application, use NetStream.onCuePoint event handler.

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com)
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`MetaCue()` CuePoint constructor

### Method Summary

Methods
`int` `compareTo(Object arg0)`
`String` `getName()` Gets the name
`double` `getTime()` Gets the time
`String` `getType()` Gets the type
`void` `setName(String name)` Sets the name
`void` `setTime(double d)` Sets the time
`void` `setType(String type)` Sets the type type can be "event" or "navigation"
`String` `toString()`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### MetaCue

    public MetaCue()

CuePoint constructor

### Method Detail

#### setName

    public void setName(String name)

Sets the name

Specified by:
  `setName` in interface `IMetaCue`
Parameters:
  `name` - Cue point name

#### getName

    public String getName()

Gets the name

Specified by:
  `getName` in interface `IMetaCue`
Returns:
  name Cue point name

#### setType

    public void setType(String type)

Sets the type type can be "event" or "navigation"

Specified by:
  `setType` in interface `IMetaCue`
Parameters:
  `type` - Cue point type

#### getType

    public String getType()

Gets the type

Specified by:
  `getType` in interface `IMetaCue`
Returns:
  type Cue point type

#### setTime

    public void setTime(double d)

Sets the time

Specified by:
  `setTime` in interface `IMetaCue`
Parameters:
  `d` - Timestamp

#### getTime

    public double getTime()

Gets the time

Specified by:
  `getTime` in interface `IMetaCue`
Returns:
  time Timestamp

#### compareTo

    public int compareTo(Object arg0)

Specified by:
  `compareTo` in interface `Comparable<Object>`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<String,Object>`